## btrbk 0.32.4

=== debian/changelog ===
btrbk (0.32.4-1~nd21.10+1) impish; urgency=medium

  * Backported for impish.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Mon, 22 Aug 2022 20:28:12 -0400

btrbk (0.32.4-1) unstable; urgency=medium

  * New Upstream Release
  * Use Standards-Version: 4.6.1

 -- Axel Burri <axel@tty0.ch>  Sat, 20 Aug 2022 14:40:41 +0200

btrbk (0.32.3-1) unstable; urgency=medium

  * New Upstream Release
  * Bump Copyright Year
  * Add Upstream-Contact

 -- Axel Burri <axel@tty0.ch>  Sun, 07 Aug 2022 11:23:41 +0200

btrbk (0.32.2-1) experimental; urgency=medium

  * New Upstream Release

 -- Axel Burri <axel@tty0.ch>  Sat, 25 Jun 2022 19:41:47 +0200

btrbk (0.32.1-1) experimental; urgency=medium

  * New Upstream Release

 -- Axel Burri <axel@tty0.ch>  Sat, 26 Feb 2022 20:12:35 +0100

btrbk (0.32.0-1) experimental; urgency=medium

  * New Upstream Release
  * Remove alien-tag python-script-but-no-python-dep

 -- Axel Burri <axel@tty0.ch>  Sat, 26 Feb 2022 20:11:51 +0100

=== debian/control ===
Source: btrbk
Section: utils
Priority: optional
Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
X-Original-Maintainer: Axel Burri <axel@tty0.ch>
Uploaders: Yaroslav Halchenko <debian@onerussian.com>
Standards-Version: 4.6.1
Build-Depends:
 debhelper (>= 12),
 asciidoctor (>= 1.5.7),
Homepage: https://digint.ch/btrbk/
Vcs-Git: https://github.com/digint/btrbk-packaging -b debian
Vcs-Browser: https://github.com/digint/btrbk-packaging


Package: btrbk
Architecture: all
Depends: neurodebian-popularity-contest, perl, btrfs-progs (>= 4.12), ${misc:Depends}
Recommends: openssh-client, mbuffer
Suggests:
 openssl,
 python3,
Description: backup tool for btrfs subvolumes
 Backup tool for btrfs subvolumes, using a configuration file, allows
 creation of backups from multiple sources to multiple destinations,
 with ssh and flexible retention policy support (hourly, daily,
 weekly, monthly).

## btrbk 0.32.5

=== Makefile ===
#
# Btrbk is a single perl script, and does not require any special
# installation procedures or libraries. There is no need to run the
# "all" build target if you don't want to build the man pages (see
# doc/Makefile).
#
# Note: systemd units (file names) are hardcoded in "install-systemd"
# build target for simplicity.
#

BIN         = btrbk
BIN_LINKS   = lsbtr
CONFIGS     = btrbk.conf.example
DOCS        = ChangeLog \
              README.md
SCRIPTS     = ssh_filter_btrbk.sh \
              contrib/cron/btrbk-mail \
              contrib/cron/btrbk-verify \
              contrib/migration/raw_suffix2sidecar \
              contrib/crypt/kdf_pbkdf2.py \
              contrib/tools/btrbk_restore_raw.py

PN          = btrbk
PREFIX     ?= /usr
CONFDIR     = /etc
CRONDIR     = /etc/cron.daily
BINDIR      = $(PREFIX)/bin
DOCDIR      = $(PREFIX)/share/doc/$(PN)
SCRIPTDIR   = $(PREFIX)/share/$(PN)/scripts
SYSTEMDDIR  = $(PREFIX)/lib/systemd/system
BASHCOMPDIR = $(PREFIX)/share/bash-completion/completions
MAN1DIR     = $(PREFIX)/share/man/man1
MAN5DIR     = $(PREFIX)/share/man/man5

ifeq ($(COMPRESS), yes)
  DOCS := $(addsuffix .gz,$(DOCS))
endif

replace_vars = sed \
	-e "s|@PN@|$(PN)|g" \
	-e "s|@CONFDIR@|$(CONFDIR)|g" \
	-e "s|@CRONDIR@|$(CRONDIR)|g" \
	-e "s|@BINDIR@|$(BINDIR)|g" \
	-e "s|@DOCDIR@|$(DOCDIR)|g" \
	-e "s|@SCRIPTDIR@|$(SCRIPTDIR)|g" \
	-e "s|@SYSTEMDDIR@|$(SYSTEMDDIR)|g" \
	-e "s|@BASHCOMPDIR@|$(BASHCOMPDIR)|g" \
	-e "s|@MAN1DIR@|$(MAN1DIR)|g" \
	-e "s|@MAN5DIR@|$(MAN5DIR)|g"

all: man

install: install-bin install-bin-links install-etc install-completion install-systemd install-share install-man install-doc

install-bin:
	@echo 'installing binary...'
	install -d -m 755 "$(DESTDIR)$(BINDIR)"
	install -p -m 755 $(BIN) "$(DESTDIR)$(BINDIR)"

install-bin-links: install-bin
	@echo 'installing symlinks...'
	for name in $(BIN_LINKS); do \
		ln -s -n -f $(BIN) "$(DESTDIR)$(BINDIR)/$$name"; \
	done

install-etc:
	@echo 'installing example configs...'
	install -d -m 755 "$(DESTDIR)$(CONFDIR)/btrbk"
	install -p -m 644 $(CONFIGS) "$(DESTDIR)$(CONFDIR)/btrbk"

install-completion:
	@echo 'installing bash completion...'
	install -d -m 755 "$(DESTDIR)$(BASHCOMPDIR)"
	install -p -m 644 contrib/bash/completion.bash "$(DESTDIR)$(BASHCOMPDIR)/$(BIN)"
	for name in $(BIN_LINKS); do \
		ln -s -n -f $(BIN) "$(DESTDIR)$(BASHCOMPDIR)/$$name"; \
	done

install-systemd:
	@echo 'installing systemd service units...'
	install -d -m 755 "$(DESTDIR)$(SYSTEMDDIR)"
	$(replace_vars) contrib/systemd/btrbk.service.in > contrib/systemd/btrbk.service.tmp
	$(replace_vars) contrib/systemd/btrbk.timer.in > contrib/systemd/btrbk.timer.tmp
	install -p -m 644 contrib/systemd/btrbk.service.tmp "$(DESTDIR)$(SYSTEMDDIR)/btrbk.service"
	install -p -m 644 contrib/systemd/btrbk.timer.tmp "$(DESTDIR)$(SYSTEMDDIR)/btrbk.timer"
	rm contrib/systemd/btrbk.service.tmp
	rm contrib/systemd/btrbk.timer.tmp

install-share:
	@echo 'installing auxiliary scripts...'
	install -d -m 755 "$(DESTDIR)$(SCRIPTDIR)"
	install -p -m 755 $(SCRIPTS) "$(DESTDIR)$(SCRIPTDIR)"

install-man: man
	@echo 'installing man pages...'
	@$(MAKE) -C doc install-man

install-doc: $(DOCS)
	@echo 'installing documentation...'
	install -d -m 755 "$(DESTDIR)$(DOCDIR)"
	install -p -m 644 $(DOCS) "$(DESTDIR)$(DOCDIR)"
	@$(MAKE) -C doc install-doc

man:
	@echo 'generating manpages...'
	@$(MAKE) -C doc man

clean:
	rm -f *.gz
	@$(MAKE) -C doc clean

%.gz : %
	gzip -9 -n -c $< > $@

=== debian/changelog ===
btrbk (0.32.5-1) unstable; urgency=medium

  * New Upstream Release
  * Add missing NEWS item
  * Remove constraints unnecessary since buster
  * Use canonical URL in Vcs-Git

 -- Axel Burri <axel@tty0.ch>  Sat, 05 Nov 2022 10:44:49 +0100

=== debian/control ===
Source: btrbk
Section: utils
Priority: optional
Maintainer: Axel Burri <axel@tty0.ch>
Uploaders: Yaroslav Halchenko <debian@onerussian.com>
Standards-Version: 4.6.1
Build-Depends:
 debhelper (>= 12),
 asciidoctor,
Homepage: https://digint.ch/btrbk/
Vcs-Git: https://github.com/digint/btrbk-packaging.git -b debian
Vcs-Browser: https://github.com/digint/btrbk-packaging


Package: btrbk
Architecture: all
Depends: perl, btrfs-progs, ${misc:Depends}
Recommends: openssh-client, mbuffer
Suggests:
 openssl,
 python3,
Description: backup tool for btrfs subvolumes
 Backup tool for btrfs subvolumes, using a configuration file, allows
 creation of backups from multiple sources to multiple destinations,
 with ssh and flexible retention policy support (hourly, daily,
 weekly, monthly).

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#DH_VERBOSE = 1

# main packaging script based on dh7 syntax

%:
	dh $@


# fix lintian issues:
# - systemd-service-file-outside-lib
# - duplicate-changelog-files
override_dh_auto_configure:
	dh_auto_configure
	sed -i \
	  -e 's/^SYSTEMDDIR\s*=.*/SYSTEMDDIR = \/lib\/systemd\/system/' \
	  -e 's/ChangeLog//' \
	  Makefile

=== debian/watch ===
version=3
https://digint.ch/download/btrbk/releases/btrbk-(\d[\d\.]+)\.tar\.(?:gz|bz2|xz)

## btrbk 0.32.6

=== doc/Makefile ===
DOCS       = FAQ.md \
             upgrade_to_v0.23.0.md
MAN_MAN1   = btrbk.1 \
             lsbtr.1 \
             ssh_filter_btrbk.1
MAN_MAN5   = btrbk.conf.5

PN         = btrbk
PREFIX    ?= /usr
DOCDIR     = $(PREFIX)/share/doc/$(PN)
MAN1DIR    = $(PREFIX)/share/man/man1
MAN5DIR    = $(PREFIX)/share/man/man5

ifeq ($(COMPRESS), yes)
  DOCS     := $(addsuffix .gz,$(DOCS))
  MAN_MAN1 := $(addsuffix .gz,$(MAN_MAN1))
  MAN_MAN5 := $(addsuffix .gz,$(MAN_MAN5))
endif

# convert using "asciidoctor": <https://asciidoctor.org>
ASCIIDOCTOR_MANPAGE = asciidoctor -d manpage -b manpage
ASCIIDOCTOR_HTML    = asciidoctor -b html5 -d article

# reproducible builds: reference date is ":date:" attribute from asciidoc source
date_attr = $(shell sed -rn 's/:date:\s*//p' $(1))
source_date_epoch = $(shell date +%s -u -d $(call date_attr,$(1)))


all: man
man: man1 man5
man1: $(MAN_MAN1)
man5: $(MAN_MAN5)

install: install-man install-doc

install-man: man
	install -d -m 755 "$(DESTDIR)$(MAN1DIR)"
	install -d -m 755 "$(DESTDIR)$(MAN5DIR)"
	install -p -m 644 $(MAN_MAN1) "$(DESTDIR)$(MAN1DIR)"
	install -p -m 644 $(MAN_MAN5) "$(DESTDIR)$(MAN5DIR)"

install-doc: $(DOCS)
	install -d -m 755 "$(DESTDIR)$(DOCDIR)"
	install -p -m 644 $(DOCS) "$(DESTDIR)$(DOCDIR)"

clean:
	rm -f *.md.gz *.[15] *.[15].{gz,html}

%.gz : %
	gzip -9 -n -c $< > $@

%.1 : %.1.asciidoc
	SOURCE_DATE_EPOCH=$(call source_date_epoch,$<) $(ASCIIDOCTOR_MANPAGE) -o $@ $<

%.5 : %.5.asciidoc
	SOURCE_DATE_EPOCH=$(call source_date_epoch,$<) $(ASCIIDOCTOR_MANPAGE) -o $@ $<

%.html : %.asciidoc
	SOURCE_DATE_EPOCH=$(call source_date_epoch,$<) $(ASCIIDOCTOR_HTML) -o $@ $<

=== debian/changelog ===
btrbk (0.32.6-1kaisen) kaisen-packages; urgency=medium

  * Import the 0.32.6 version

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Mon, 08 May 2023 23:19:23 +0100

btrbk (0.32.5-1kaisen) kaisen-packages; urgency=medium

  * Import the 0.32.5 version

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Wed, 23 Nov 2022 13:27:46 +0100

btrbk (0.32.4-1kaisen) kaisen-packages; urgency=medium

  * Import the 0.32.4 version

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sun, 25 Sep 2022 17:57:07 +0100

btrbk (0.32.3-1kaisen) kaisen-packages; urgency=medium

  * Import 0.32.3 version

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sun, 14 Aug 2022 15:37:54 +0100

btrbk (0.32.2-1kaisen) kaisen-packages; urgency=medium

  * Import 0.32.2 version

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Thu, 07 Jul 2022 19:28:11 +0100

btrbk (0.32.1-1kaisen) kaisen-packages; urgency=medium

  * Import 0.32.1 version

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sun, 27 Feb 2022 16:11:29 +0100

btrbk (0.32.0-2kaisen) kaisen-packages; urgency=medium

  * Add --no-enable systemd when service is installed
  * Add perl:Depends variable

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Mon, 14 Feb 2022 00:06:56 +0100

btrbk (0.32.0-1kaisen) kaisen-packages; urgency=medium

  * Import 0.32.0 version

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sun, 13 Feb 2022 15:22:16 +0100

btrbk (0.31.3-1kaisen) kaisen-packages; urgency=medium

  * Refresh quilt patchs
  * Import new upstream release

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Wed, 18 Aug 2021 10:51:39 +0200

btrbk (0.31.2-1kaisen1) kaisen-packages; urgency=medium

  * Rebuild to update btrbk
  * Adding systemd service and timer
  * Now conffile is added on /etc/btrbk.conf
  * Update dependancies of package in control
  * Update compat at 13
  * Reorganise Debian directory and rewrite rules file for debhelper 13

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Mon, 29 Mar 2021 14:02:07 +0200

=== debian/control ===
Source: btrbk
Section: utils
Priority: optional
XSBC-Original-Maintainer: Axel Burri <axel@tty0.ch>
Maintainer: Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>
Standards-Version: 4.5.1
Build-Depends:
 debhelper (>= 13),
 asciidoctor (>= 1.5.7) | asciidoc,
Homepage: https://digint.ch/btrbk/
Vcs-Git: https://gitlab.com/kaisenlinux/packages/btrbk.git
Vcs-Browser: https://gitlab.com/kaisenlinux/packages/btrbk


Package: btrbk
Architecture: all
Depends: perl, btrfs-progs (>= 3.18.2), ${misc:Depends}, ${perl:Depends}
Recommends: openssh-client, pv, mbuffer
Suggests:
 openssl,
 python3,
Description: backup tool for btrfs subvolumes
 Backup tool for btrfs subvolumes, using a configuration file, allows
 creation of backups from multiple sources to multiple destinations,
 with ssh and flexible retention policy support (hourly, daily,
 weekly, monthly).

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_install:
	install -D -m 644 debian/timer debian/btrbk/lib/systemd/system/btrbk.timer
	mkdir -p debian/btrbk/etc
	cp btrbk.conf.example debian/btrbk/etc/btrbk.conf

override_dh_installsystemd:
	dh_installsystemd --no-enable --no-start
